Your submission was sent successfully! Close

CVE-2018-9138

Published: 30 March 2018

An issue was discovered in cplus-dem.c in GNU libiberty, as distributed in GNU Binutils 2.29 and 2.30. Stack Exhaustion occurs in the C++ demangling functions provided by libiberty, and there are recursive stack frames: demangle_nested_args, demangle_args, do_arg, and do_type.

Notes

AuthorNote
mdeslaur
same libiberty commit as CVE-2018-12641
Priority

Low

CVSS 3 base score: 5.5

Status

Package Release Status
binutils
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic
Released (2.30-21ubuntu1~18.04.3)
cosmic Ignored
(reached end-of-life)
disco Not vulnerable
(2.32-7ubuntu4)
eoan Not vulnerable
(2.32-7ubuntu4)
focal Not vulnerable
(2.32-7ubuntu4)
groovy Not vulnerable
(2.32-7ubuntu4)
hirsute Not vulnerable
(2.32-7ubuntu4)
impish Not vulnerable
(2.32-7ubuntu4)
jammy Not vulnerable
(2.32-7ubuntu4)
precise Ignored
(end of ESM support, was needs-triage)
trusty Needs triage

upstream
Released (2.32)
xenial
Released (2.26.1-1ubuntu1~16.04.8+esm1)
Patches:
upstream: https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=af03af8f55f2536b6e20928e6b1fa0324a5f3d6e
upstream: https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=69799d67e8872dcd3feee81ed2ff0fc47beb52d7

libiberty
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic
Released (20170913-1ubuntu0.1)
cosmic Ignored
(reached end-of-life)
disco Ignored
(reached end-of-life)
eoan Not vulnerable
(20190122-1)
focal Not vulnerable
(20190122-1)
groovy Not vulnerable
(20190122-1)
hirsute Not vulnerable
(20190122-1)
impish Not vulnerable
(20190122-1)
jammy Not vulnerable
(20190122-1)
precise Does not exist

trusty Does not exist

upstream
Released (20190122-1)
xenial
Released (20160215-1ubuntu0.3)
Patches:


upstream: https://gcc.gnu.org/viewcvs/gcc?view=revision&revision=266886